Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.server
Class AgentGroupState

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.server.AgentGroupState

Direct Known Subclasses:
  DetailedAgentGroupState

    public class AgentGroupState

extends Object

Represents the state of an agent group, i.e., the contacts being served at a specific simulation time.

Constructor Summary
`protected` | `AgentGroupState(AgentGroup group)` Constructs a new state object holding the state of the agent group `group`.

Method Summary
`EndServiceEvent[]` | `getContactsInService()` Returns the end-service events representing the contacts being served at the time the state was saved.
`double` | `getEfficiency()` Returns the efficiency of the agent group at the time of state saving.
`int` | `getNumAgents()` Returns the number of agents in the agent group at the time of state saving.
`int` | `getNumFreeAgents()` Returns the number of free agents in the agent group at the time of state saving.
`int` | `getNumGhostAgents()` Returns the number of ghost agents in the agent group at the time of state saving.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentGroupState

    protected AgentGroupState(AgentGroup group)

  Constructs a new state object holding the state of the agent group `group`.

  Parameters:
    `group` - the agent group to be saved.

Method Detail

### getContactsInService

    public EndServiceEvent[] getContactsInService()

  Returns the end-service events representing the contacts being served at the time the state was saved.

  Returns:
    the array of end-service events representing contacts in service.

### getEfficiency

    public double getEfficiency()

  Returns the efficiency of the agent group at the time of state saving.

  Returns:
    the efficiency at the time the state was saved.

### getNumAgents

    public int getNumAgents()

  Returns the number of agents in the agent group at the time of state saving.

  Returns:
    the number of agents at the time the state was saved.

### getNumFreeAgents

    public int getNumFreeAgents()

  Returns the number of free agents in the agent group at the time of state saving.

  Returns:
    the number of free agents at the time the state was saved.

### getNumGhostAgents

    public int getNumGhostAgents()

  Returns the number of ghost agents in the agent group at the time of state saving.

  Returns:
    the number of ghost agents at the time the state was saved.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.